Index: /branches/histogram/HeuristicLab.Analysis.Views/3.3/DataTableVisualPropertiesControl.Designer.cs
===================================================================
--- /branches/histogram/HeuristicLab.Analysis.Views/3.3/DataTableVisualPropertiesControl.Designer.cs	(revision 6013)
+++ /branches/histogram/HeuristicLab.Analysis.Views/3.3/DataTableVisualPropertiesControl.Designer.cs	(revision 6014)
@@ -60,95 +123,585 @@
       // 
       this.label1.AutoSize = true;
-      this.label1.Location = new System.Drawing.Point(8, 22);
+      this.label1.Location = new System.Drawing.Point(4, 26);
       this.label1.Name = "label1";
-      this.label1.Size = new System.Drawing.Size(54, 13);
+      this.label1.Size = new System.Drawing.Size(30, 13);
       this.label1.TabIndex = 0;
-      this.label1.Text = "Primary-Y:";
-      // 
-      // yPrimaryTextBox
-      // 
-      this.yPrimaryTextBox.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left)
+      this.label1.Text = "Title:";
+      // 
+      // yAxisPrimaryTitleTextBox
+      // 
+      this.yAxisPrimaryTitleTextBox.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left)
                   | System.Windows.Forms.AnchorStyles.Right)));
-      this.yPrimaryTextBox.Location = new System.Drawing.Point(85, 19);
-      this.yPrimaryTextBox.Name = "yPrimaryTextBox";
-      this.yPrimaryTextBox.Size = new System.Drawing.Size(221, 20);
-      this.yPrimaryTextBox.TabIndex = 1;
-      this.yPrimaryTextBox.Validated += new System.EventHandler(this.yPrimaryTextBox_Validated);
-      // 
-      // xPrimaryTextBox
-      // 
-      this.xPrimaryTextBox.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left)
+      this.yAxisPrimaryTitleTextBox.Location = new System.Drawing.Point(63, 23);
+      this.yAxisPrimaryTitleTextBox.Name = "yAxisPrimaryTitleTextBox";
+      this.yAxisPrimaryTitleTextBox.Size = new System.Drawing.Size(243, 20);
+      this.yAxisPrimaryTitleTextBox.TabIndex = 1;
+      this.yAxisPrimaryTitleTextBox.Validated += new System.EventHandler(this.yPrimaryTitleTextBox_Validated);
+      // 
+      // yAxisSecondaryTitleTextBox
+      // 
+      this.yAxisSecondaryTitleTextBox.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left)
                   | System.Windows.Forms.AnchorStyles.Right)));
-      this.xPrimaryTextBox.Location = new System.Drawing.Point(85, 71);
-      this.xPrimaryTextBox.Name = "xPrimaryTextBox";
-      this.xPrimaryTextBox.Size = new System.Drawing.Size(221, 20);
-      this.xPrimaryTextBox.TabIndex = 5;
-      this.xPrimaryTextBox.Validated += new System.EventHandler(this.xPrimaryTextBox_Validated);
-      // 
-      // xSecondaryTextBox
-      // 
-      this.xSecondaryTextBox.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left)
+      this.yAxisSecondaryTitleTextBox.Location = new System.Drawing.Point(63, 23);
+      this.yAxisSecondaryTitleTextBox.Name = "yAxisSecondaryTitleTextBox";
+      this.yAxisSecondaryTitleTextBox.Size = new System.Drawing.Size(243, 20);
+      this.yAxisSecondaryTitleTextBox.TabIndex = 1;
+      this.yAxisSecondaryTitleTextBox.Validated += new System.EventHandler(this.ySecondaryTitleTextBox_Validated);
+      // 
+      // label4
+      // 
+      this.label4.AutoSize = true;
+      this.label4.Location = new System.Drawing.Point(4, 26);
+      this.label4.Name = "label4";
+      this.label4.Size = new System.Drawing.Size(30, 13);
+      this.label4.TabIndex = 0;
+      this.label4.Text = "Title:";
+      // 
+      // xAxisPrimaryGroupBox
+      // 
+      this.xAxisPrimaryGroupBox.Controls.Add(this.label12);
+      this.xAxisPrimaryGroupBox.Controls.Add(this.label9);
+      this.xAxisPrimaryGroupBox.Controls.Add(this.xAxisPrimaryTitleTextBox);
+      this.xAxisPrimaryGroupBox.Controls.Add(this.label11);
+      this.xAxisPrimaryGroupBox.Controls.Add(this.xAxisPrimaryMaximumPanel);
+      this.xAxisPrimaryGroupBox.Controls.Add(this.xAxisPrimaryMinimumPanel);
+      this.xAxisPrimaryGroupBox.Location = new System.Drawing.Point(6, 6);
+      this.xAxisPrimaryGroupBox.Name = "xAxisPrimaryGroupBox";
+      this.xAxisPrimaryGroupBox.Size = new System.Drawing.Size(316, 107);
+      this.xAxisPrimaryGroupBox.TabIndex = 0;
+      this.xAxisPrimaryGroupBox.TabStop = false;
+      this.xAxisPrimaryGroupBox.Text = "Primary Axis";
+      // 
+      // label12
+      // 
+      this.label12.AutoSize = true;
+      this.label12.Location = new System.Drawing.Point(4, 77);
+      this.label12.Name = "label12";
+      this.label12.Size = new System.Drawing.Size(54, 13);
+      this.label12.TabIndex = 4;
+      this.label12.Text = "Maximum:";
+      // 
+      // label9
+      // 
+      this.label9.AutoSize = true;
+      this.label9.Location = new System.Drawing.Point(4, 26);
+      this.label9.Name = "label9";
+      this.label9.Size = new System.Drawing.Size(30, 13);
+      this.label9.TabIndex = 0;
+      this.label9.Text = "Title:";
+      // 
+      // xAxisPrimaryTitleTextBox
+      // 
+      this.xAxisPrimaryTitleTextBox.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left)
                   | System.Windows.Forms.AnchorStyles.Right)));
-      this.xSecondaryTextBox.Location = new System.Drawing.Point(85, 97);
-      this.xSecondaryTextBox.Name = "xSecondaryTextBox";
-      this.xSecondaryTextBox.Size = new System.Drawing.Size(221, 20);
-      this.xSecondaryTextBox.TabIndex = 7;
-      this.xSecondaryTextBox.Validated += new System.EventHandler(this.xSecondaryTextBox_Validated);
-      // 
-      // axisTitlesGroupBox
-      // 
-      this.axisTitlesGroupBox.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left)
+      this.xAxisPrimaryTitleTextBox.Location = new System.Drawing.Point(63, 23);
+      this.xAxisPrimaryTitleTextBox.Name = "xAxisPrimaryTitleTextBox";
+      this.xAxisPrimaryTitleTextBox.Size = new System.Drawing.Size(245, 20);
+      this.xAxisPrimaryTitleTextBox.TabIndex = 1;
+      this.xAxisPrimaryTitleTextBox.Validated += new System.EventHandler(this.xPrimaryTitleTextBox_Validated);
+      // 
+      // label11
+      // 
+      this.label11.AutoSize = true;
+      this.label11.Location = new System.Drawing.Point(4, 53);
+      this.label11.Name = "label11";
+      this.label11.Size = new System.Drawing.Size(51, 13);
+      this.label11.TabIndex = 2;
+      this.label11.Text = "Minimum:";
+      // 
+      // xAxisPrimaryMaximumPanel
+      // 
+      this.xAxisPrimaryMaximumPanel.Controls.Add(this.xAxisPrimaryMaximumFixedTextBox);
+      this.xAxisPrimaryMaximumPanel.Controls.Add(this.xAxisPrimaryMaximumFixedRadioButton);
+      this.xAxisPrimaryMaximumPanel.Controls.Add(this.xAxisPrimaryMaximumAutoRadioButton);
+      this.xAxisPrimaryMaximumPanel.Location = new System.Drawing.Point(63, 71);
+      this.xAxisPrimaryMaximumPanel.Name = "xAxisPrimaryMaximumPanel";
+      this.xAxisPrimaryMaximumPanel.Size = new System.Drawing.Size(245, 25);
+      this.xAxisPrimaryMaximumPanel.TabIndex = 5;
+      // 
+      // xAxisPrimaryMaximumFixedTextBox
+      // 
+      this.xAxisPrimaryMaximumFixedTextBox.Location = new System.Drawing.Point(126, 2);
+      this.xAxisPrimaryMaximumFixedTextBox.Name = "xAxisPrimaryMaximumFixedTextBox";
+      this.xAxisPrimaryMaximumFixedTextBox.Size = new System.Drawing.Size(117, 20);
+      this.xAxisPrimaryMaximumFixedTextBox.TabIndex = 2;
+      this.xAxisPrimaryMaximumFixedTextBox.Validating += new System.ComponentModel.CancelEventHandler(this.xAxisPrimaryMaximumFixedTextBox_Validating);
+      // 
+      // xAxisPrimaryMaximumFixedRadioButton
+      // 
+      this.xAxisPrimaryMaximumFixedRadioButton.AutoSize = true;
+      this.xAxisPrimaryMaximumFixedRadioButton.Location = new System.Drawing.Point(70, 4);
+      this.xAxisPrimaryMaximumFixedRadioButton.Name = "xAxisPrimaryMaximumFixedRadioButton";
+      this.xAxisPrimaryMaximumFixedRadioButton.Size = new System.Drawing.Size(50, 17);
+      this.xAxisPrimaryMaximumFixedRadioButton.TabIndex = 1;
+      this.xAxisPrimaryMaximumFixedRadioButton.TabStop = true;
+      this.xAxisPrimaryMaximumFixedRadioButton.Text = "Fixed";
+      this.xAxisPrimaryMaximumFixedRadioButton.UseVisualStyleBackColor = true;
+      this.xAxisPrimaryMaximumFixedRadioButton.CheckedChanged += new System.EventHandler(this.xAxisPrimaryMaximumRadioButton_CheckedChanged);
+      // 
+      // xAxisPrimaryMaximumAutoRadioButton
+      // 
+      this.xAxisPrimaryMaximumAutoRadioButton.AutoSize = true;
+      this.xAxisPrimaryMaximumAutoRadioButton.Location = new System.Drawing.Point(4, 4);
+      this.xAxisPrimaryMaximumAutoRadioButton.Name = "xAxisPrimaryMaximumAutoRadioButton";
+      this.xAxisPrimaryMaximumAutoRadioButton.Size = new System.Drawing.Size(47, 17);
+      this.xAxisPrimaryMaximumAutoRadioButton.TabIndex = 0;
+      this.xAxisPrimaryMaximumAutoRadioButton.TabStop = true;
+      this.xAxisPrimaryMaximumAutoRadioButton.Text = "Auto";
+      this.xAxisPrimaryMaximumAutoRadioButton.UseVisualStyleBackColor = true;
+      this.xAxisPrimaryMaximumAutoRadioButton.CheckedChanged += new System.EventHandler(this.xAxisPrimaryMaximumRadioButton_CheckedChanged);
+      // 
+      // xAxisPrimaryMinimumPanel
+      // 
+      this.xAxisPrimaryMinimumPanel.Controls.Add(this.xAxisPrimaryMinimumFixedTextBox);
+      this.xAxisPrimaryMinimumPanel.Controls.Add(this.xAxisPrimaryMinimumFixedRadioButton);
+      this.xAxisPrimaryMinimumPanel.Controls.Add(this.xAxisPrimaryMinimumAutoRadioButton);
+      this.xAxisPrimaryMinimumPanel.Location = new System.Drawing.Point(63, 47);
+      this.xAxisPrimaryMinimumPanel.Name = "xAxisPrimaryMinimumPanel";
+      this.xAxisPrimaryMinimumPanel.Size = new System.Drawing.Size(245, 25);
+      this.xAxisPrimaryMinimumPanel.TabIndex = 3;
+      // 
+      // xAxisPrimaryMinimumFixedTextBox
+      // 
+      this.xAxisPrimaryMinimumFixedTextBox.Location = new System.Drawing.Point(126, 2);
+      this.xAxisPrimaryMinimumFixedTextBox.Name = "xAxisPrimaryMinimumFixedTextBox";
+      this.xAxisPrimaryMinimumFixedTextBox.Size = new System.Drawing.Size(117, 20);
+      this.xAxisPrimaryMinimumFixedTextBox.TabIndex = 2;
+      this.xAxisPrimaryMinimumFixedTextBox.Validating += new System.ComponentModel.CancelEventHandler(this.xAxisPrimaryMinimumFixedTextBox_Validating);
+      // 
+      // xAxisPrimaryMinimumFixedRadioButton
+      // 
+      this.xAxisPrimaryMinimumFixedRadioButton.AutoSize = true;
+      this.xAxisPrimaryMinimumFixedRadioButton.Location = new System.Drawing.Point(70, 3);
+      this.xAxisPrimaryMinimumFixedRadioButton.Name = "xAxisPrimaryMinimumFixedRadioButton";
+      this.xAxisPrimaryMinimumFixedRadioButton.Size = new System.Drawing.Size(50, 17);
+      this.xAxisPrimaryMinimumFixedRadioButton.TabIndex = 1;
+      this.xAxisPrimaryMinimumFixedRadioButton.TabStop = true;
+      this.xAxisPrimaryMinimumFixedRadioButton.Text = "Fixed";
+      this.xAxisPrimaryMinimumFixedRadioButton.UseVisualStyleBackColor = true;
+      this.xAxisPrimaryMinimumFixedRadioButton.CheckedChanged += new System.EventHandler(this.xAxisPrimaryMinimumRadioButton_CheckedChanged);
+      // 
+      // xAxisPrimaryMinimumAutoRadioButton
+      // 
+      this.xAxisPrimaryMinimumAutoRadioButton.AutoSize = true;
+      this.xAxisPrimaryMinimumAutoRadioButton.Location = new System.Drawing.Point(4, 3);
+      this.xAxisPrimaryMinimumAutoRadioButton.Name = "xAxisPrimaryMinimumAutoRadioButton";
+      this.xAxisPrimaryMinimumAutoRadioButton.Size = new System.Drawing.Size(47, 17);
+      this.xAxisPrimaryMinimumAutoRadioButton.TabIndex = 0;
+      this.xAxisPrimaryMinimumAutoRadioButton.TabStop = true;
+      this.xAxisPrimaryMinimumAutoRadioButton.Text = "Auto";
+      this.xAxisPrimaryMinimumAutoRadioButton.UseVisualStyleBackColor = true;
+      this.xAxisPrimaryMinimumAutoRadioButton.CheckedChanged += new System.EventHandler(this.xAxisPrimaryMinimumRadioButton_CheckedChanged);
+      // 
+      // xAxisSecondaryGroupBox
+      // 
+      this.xAxisSecondaryGroupBox.Controls.Add(this.label10);
+      this.xAxisSecondaryGroupBox.Controls.Add(this.xAxisSecondaryTitleTextBox);
+      this.xAxisSecondaryGroupBox.Controls.Add(this.label5);
+      this.xAxisSecondaryGroupBox.Controls.Add(this.label6);
+      this.xAxisSecondaryGroupBox.Controls.Add(this.xAxisSecondaryMaximumPanel);
+      this.xAxisSecondaryGroupBox.Controls.Add(this.xAxisSecondaryMinimumPanel);
+      this.xAxisSecondaryGroupBox.Location = new System.Drawing.Point(6, 119);
+      this.xAxisSecondaryGroupBox.Name = "xAxisSecondaryGroupBox";
+      this.xAxisSecondaryGroupBox.Size = new System.Drawing.Size(316, 106);
+      this.xAxisSecondaryGroupBox.TabIndex = 1;
+      this.xAxisSecondaryGroupBox.TabStop = false;
+      this.xAxisSecondaryGroupBox.Text = "Secondary Axis";
+      // 
+      // label10
+      // 
+      this.label10.AutoSize = true;
+      this.label10.Location = new System.Drawing.Point(4, 26);
+      this.label10.Name = "label10";
+      this.label10.Size = new System.Drawing.Size(30, 13);
+      this.label10.TabIndex = 0;
+      this.label10.Text = "Title:";
+      // 
+      // xAxisSecondaryTitleTextBox
+      // 
+      this.xAxisSecondaryTitleTextBox.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left)
                   | System.Windows.Forms.AnchorStyles.Right)));
-      this.axisTitlesGroupBox.Controls.Add(this.ySecondaryTextBox);
-      this.axisTitlesGroupBox.Controls.Add(this.yPrimaryTextBox);
-      this.axisTitlesGroupBox.Controls.Add(this.xSecondaryTextBox);
-      this.axisTitlesGroupBox.Controls.Add(this.label4);
-      this.axisTitlesGroupBox.Controls.Add(this.label1);
-      this.axisTitlesGroupBox.Controls.Add(this.xPrimaryTextBox);
-      this.axisTitlesGroupBox.Controls.Add(this.label2);
-      this.axisTitlesGroupBox.Controls.Add(this.label3);
-      this.axisTitlesGroupBox.Location = new System.Drawing.Point(3, 3);
-      this.axisTitlesGroupBox.Name = "axisTitlesGroupBox";
-      this.axisTitlesGroupBox.Size = new System.Drawing.Size(312, 124);
-      this.axisTitlesGroupBox.TabIndex = 0;
-      this.axisTitlesGroupBox.TabStop = false;
-      this.axisTitlesGroupBox.Text = "Axis Titles";
-      // 
-      // ySecondaryTextBox
-      // 
-      this.ySecondaryTextBox.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left)
+      this.xAxisSecondaryTitleTextBox.Location = new System.Drawing.Point(63, 23);
+      this.xAxisSecondaryTitleTextBox.Name = "xAxisSecondaryTitleTextBox";
+      this.xAxisSecondaryTitleTextBox.Size = new System.Drawing.Size(245, 20);
+      this.xAxisSecondaryTitleTextBox.TabIndex = 1;
+      this.xAxisSecondaryTitleTextBox.Validated += new System.EventHandler(this.xSecondaryTitleTextBox_Validated);
+      // 
+      // label5
+      // 
+      this.label5.AutoSize = true;
+      this.label5.Location = new System.Drawing.Point(4, 77);
+      this.label5.Name = "label5";
+      this.label5.Size = new System.Drawing.Size(54, 13);
+      this.label5.TabIndex = 4;
+      this.label5.Text = "Maximum:";
+      // 
+      // label6
+      // 
+      this.label6.AutoSize = true;
+      this.label6.Location = new System.Drawing.Point(4, 53);
+      this.label6.Name = "label6";
+      this.label6.Size = new System.Drawing.Size(51, 13);
+      this.label6.TabIndex = 2;
+      this.label6.Text = "Minimum:";
+      // 
+      // xAxisSecondaryMaximumPanel
+      // 
+      this.xAxisSecondaryMaximumPanel.Controls.Add(this.xAxisSecondaryMaximumFixedTextBox);
+      this.xAxisSecondaryMaximumPanel.Controls.Add(this.xAxisSecondaryMaximumFixedRadioButton);
+      this.xAxisSecondaryMaximumPanel.Controls.Add(this.xAxisSecondaryMaximumAutoRadioButton);
+      this.xAxisSecondaryMaximumPanel.Location = new System.Drawing.Point(63, 71);
+      this.xAxisSecondaryMaximumPanel.Name = "xAxisSecondaryMaximumPanel";
+      this.xAxisSecondaryMaximumPanel.Size = new System.Drawing.Size(245, 25);
+      this.xAxisSecondaryMaximumPanel.TabIndex = 5;
+      // 
+      // xAxisSecondaryMaximumFixedTextBox
+      // 
+      this.xAxisSecondaryMaximumFixedTextBox.Location = new System.Drawing.Point(126, 2);
+      this.xAxisSecondaryMaximumFixedTextBox.Name = "xAxisSecondaryMaximumFixedTextBox";
+      this.xAxisSecondaryMaximumFixedTextBox.Size = new System.Drawing.Size(117, 20);
+      this.xAxisSecondaryMaximumFixedTextBox.TabIndex = 2;
+      this.xAxisSecondaryMaximumFixedTextBox.Validating += new System.ComponentModel.CancelEventHandler(this.xAxisSecondaryMaximumFixedTextBox_Validating);
+      // 
+      // xAxisSecondaryMaximumFixedRadioButton
+      // 
+      this.xAxisSecondaryMaximumFixedRadioButton.AutoSize = true;
+      this.xAxisSecondaryMaximumFixedRadioButton.Location = new System.Drawing.Point(70, 4);
+      this.xAxisSecondaryMaximumFixedRadioButton.Name = "xAxisSecondaryMaximumFixedRadioButton";
+      this.xAxisSecondaryMaximumFixedRadioButton.Size = new System.Drawing.Size(50, 17);
+      this.xAxisSecondaryMaximumFixedRadioButton.TabIndex = 1;
+      this.xAxisSecondaryMaximumFixedRadioButton.TabStop = true;
+      this.xAxisSecondaryMaximumFixedRadioButton.Text = "Fixed";
+      this.xAxisSecondaryMaximumFixedRadioButton.UseVisualStyleBackColor = true;
+      this.xAxisSecondaryMaximumFixedRadioButton.CheckedChanged += new System.EventHandler(this.xAxisSecondaryMaximumRadioButton_CheckedChanged);
+      // 
+      // xAxisSecondaryMaximumAutoRadioButton
+      // 
+      this.xAxisSecondaryMaximumAutoRadioButton.AutoSize = true;
+      this.xAxisSecondaryMaximumAutoRadioButton.Location = new System.Drawing.Point(4, 4);
+      this.xAxisSecondaryMaximumAutoRadioButton.Name = "xAxisSecondaryMaximumAutoRadioButton";
+      this.xAxisSecondaryMaximumAutoRadioButton.Size = new System.Drawing.Size(47, 17);
+      this.xAxisSecondaryMaximumAutoRadioButton.TabIndex = 0;
+      this.xAxisSecondaryMaximumAutoRadioButton.TabStop = true;
+      this.xAxisSecondaryMaximumAutoRadioButton.Text = "Auto";
+      this.xAxisSecondaryMaximumAutoRadioButton.UseVisualStyleBackColor = true;
+      this.xAxisSecondaryMaximumAutoRadioButton.CheckedChanged += new System.EventHandler(this.xAxisSecondaryMaximumRadioButton_CheckedChanged);
+      // 
+      // xAxisSecondaryMinimumPanel
+      // 
+      this.xAxisSecondaryMinimumPanel.Controls.Add(this.xAxisSecondaryMinimumFixedTextBox);
+      this.xAxisSecondaryMinimumPanel.Controls.Add(this.xAxisSecondaryMinimumFixedRadioButton);
+      this.xAxisSecondaryMinimumPanel.Controls.Add(this.xAxisSecondaryMinimumAutoRadioButton);
+      this.xAxisSecondaryMinimumPanel.Location = new System.Drawing.Point(63, 47);
+      this.xAxisSecondaryMinimumPanel.Name = "xAxisSecondaryMinimumPanel";
+      this.xAxisSecondaryMinimumPanel.Size = new System.Drawing.Size(245, 25);
+      this.xAxisSecondaryMinimumPanel.TabIndex = 3;
+      // 
+      // xAxisSecondaryMinimumFixedTextBox
+      // 
+      this.xAxisSecondaryMinimumFixedTextBox.Location = new System.Drawing.Point(126, 2);
+      this.xAxisSecondaryMinimumFixedTextBox.Name = "xAxisSecondaryMinimumFixedTextBox";
+      this.xAxisSecondaryMinimumFixedTextBox.Size = new System.Drawing.Size(117, 20);
+      this.xAxisSecondaryMinimumFixedTextBox.TabIndex = 2;
+      this.xAxisSecondaryMinimumFixedTextBox.Validating += new System.ComponentModel.CancelEventHandler(this.xAxisSecondaryMinimumFixedTextBox_Validating);
+      // 
+      // xAxisSecondaryMinimumFixedRadioButton
+      // 
+      this.xAxisSecondaryMinimumFixedRadioButton.AutoSize = true;
+      this.xAxisSecondaryMinimumFixedRadioButton.Location = new System.Drawing.Point(70, 3);
+      this.xAxisSecondaryMinimumFixedRadioButton.Name = "xAxisSecondaryMinimumFixedRadioButton";
+      this.xAxisSecondaryMinimumFixedRadioButton.Size = new System.Drawing.Size(50, 17);
+      this.xAxisSecondaryMinimumFixedRadioButton.TabIndex = 1;
+      this.xAxisSecondaryMinimumFixedRadioButton.TabStop = true;
+      this.xAxisSecondaryMinimumFixedRadioButton.Text = "Fixed";
+      this.xAxisSecondaryMinimumFixedRadioButton.UseVisualStyleBackColor = true;
+      this.xAxisSecondaryMinimumFixedRadioButton.CheckedChanged += new System.EventHandler(this.xAxisSecondaryMinimumRadioButton_CheckedChanged);
+      // 
+      // xAxisSecondaryMinimumAutoRadioButton
+      // 
+      this.xAxisSecondaryMinimumAutoRadioButton.AutoSize = true;
+      this.xAxisSecondaryMinimumAutoRadioButton.Location = new System.Drawing.Point(4, 3);
+      this.xAxisSecondaryMinimumAutoRadioButton.Name = "xAxisSecondaryMinimumAutoRadioButton";
+      this.xAxisSecondaryMinimumAutoRadioButton.Size = new System.Drawing.Size(47, 17);
+      this.xAxisSecondaryMinimumAutoRadioButton.TabIndex = 0;
+      this.xAxisSecondaryMinimumAutoRadioButton.TabStop = true;
+      this.xAxisSecondaryMinimumAutoRadioButton.Text = "Auto";
+      this.xAxisSecondaryMinimumAutoRadioButton.UseVisualStyleBackColor = true;
+      this.xAxisSecondaryMinimumAutoRadioButton.CheckedChanged += new System.EventHandler(this.xAxisSecondaryMinimumRadioButton_CheckedChanged);
+      // 
+      // axisTabControl
+      // 
+      this.axisTabControl.Anchor = ((System.Windows.Forms.AnchorStyles)((((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom)
+                  | System.Windows.Forms.AnchorStyles.Left)
                   | System.Windows.Forms.AnchorStyles.Right)));
-      this.ySecondaryTextBox.Location = new System.Drawing.Point(85, 45);
-      this.ySecondaryTextBox.Name = "ySecondaryTextBox";
-      this.ySecondaryTextBox.Size = new System.Drawing.Size(221, 20);
-      this.ySecondaryTextBox.TabIndex = 3;
-      this.ySecondaryTextBox.Validated += new System.EventHandler(this.ySecondaryTextBox_Validated);
-      // 
-      // label4
-      // 
-      this.label4.AutoSize = true;
-      this.label4.Location = new System.Drawing.Point(8, 48);
-      this.label4.Name = "label4";
-      this.label4.Size = new System.Drawing.Size(71, 13);
-      this.label4.TabIndex = 2;
-      this.label4.Text = "Secondary-Y:";
-      // 
-      // label2
-      // 
-      this.label2.AutoSize = true;
-      this.label2.Location = new System.Drawing.Point(8, 74);
-      this.label2.Name = "label2";
-      this.label2.Size = new System.Drawing.Size(54, 13);
-      this.label2.TabIndex = 4;
-      this.label2.Text = "Primary-X:";
-      // 
-      // label3
-      // 
-      this.label3.AutoSize = true;
-      this.label3.Location = new System.Drawing.Point(8, 100);
-      this.label3.Name = "label3";
-      this.label3.Size = new System.Drawing.Size(71, 13);
-      this.label3.TabIndex = 6;
-      this.label3.Text = "Secondary-X:";
+      this.axisTabControl.Controls.Add(this.xAxisTabPage);
+      this.axisTabControl.Controls.Add(this.yAxisTabPage);
+      this.axisTabControl.Location = new System.Drawing.Point(0, 0);
+      this.axisTabControl.Name = "axisTabControl";
+      this.axisTabControl.SelectedIndex = 0;
+      this.axisTabControl.Size = new System.Drawing.Size(336, 257);
+      this.axisTabControl.TabIndex = 0;
+      // 
+      // xAxisTabPage
+      // 
+      this.xAxisTabPage.Controls.Add(this.xAxisSecondaryGroupBox);
+      this.xAxisTabPage.Controls.Add(this.xAxisPrimaryGroupBox);
+      this.xAxisTabPage.Location = new System.Drawing.Point(4, 22);
+      this.xAxisTabPage.Name = "xAxisTabPage";
+      this.xAxisTabPage.Padding = new System.Windows.Forms.Padding(3);
+      this.xAxisTabPage.Size = new System.Drawing.Size(328, 231);
+      this.xAxisTabPage.TabIndex = 0;
+      this.xAxisTabPage.Text = "X-Axis";
+      this.xAxisTabPage.UseVisualStyleBackColor = true;
+      // 
+      // yAxisTabPage
+      // 
+      this.yAxisTabPage.Controls.Add(this.yAxisSecondaryGroupBox);
+      this.yAxisTabPage.Controls.Add(this.yAxisPrimaryGroupBox);
+      this.yAxisTabPage.Location = new System.Drawing.Point(4, 22);
+      this.yAxisTabPage.Name = "yAxisTabPage";
+      this.yAxisTabPage.Padding = new System.Windows.Forms.Padding(3);
+      this.yAxisTabPage.Size = new System.Drawing.Size(328, 231);
+      this.yAxisTabPage.TabIndex = 1;
+      this.yAxisTabPage.Text = "Y-Axis";
+      this.yAxisTabPage.UseVisualStyleBackColor = true;
+      // 
+      // yAxisSecondaryGroupBox
+      // 
+      this.yAxisSecondaryGroupBox.Controls.Add(this.yAxisSecondaryTitleTextBox);
+      this.yAxisSecondaryGroupBox.Controls.Add(this.label4);
+      this.yAxisSecondaryGroupBox.Controls.Add(this.label13);
+      this.yAxisSecondaryGroupBox.Controls.Add(this.label14);
+      this.yAxisSecondaryGroupBox.Controls.Add(this.yAxisSecondaryMaximumPanel);
+      this.yAxisSecondaryGroupBox.Controls.Add(this.yAxisSecondaryMinimumPanel);
+      this.yAxisSecondaryGroupBox.Location = new System.Drawing.Point(6, 119);
+      this.yAxisSecondaryGroupBox.Name = "yAxisSecondaryGroupBox";
+      this.yAxisSecondaryGroupBox.Size = new System.Drawing.Size(316, 106);
+      this.yAxisSecondaryGroupBox.TabIndex = 1;
+      this.yAxisSecondaryGroupBox.TabStop = false;
+      this.yAxisSecondaryGroupBox.Text = "Secondary Axis";
+      // 
+      // label13
+      // 
+      this.label13.AutoSize = true;
+      this.label13.Location = new System.Drawing.Point(4, 77);
+      this.label13.Name = "label13";
+      this.label13.Size = new System.Drawing.Size(54, 13);
+      this.label13.TabIndex = 4;
+      this.label13.Text = "Maximum:";
+      // 
+      // label14
+      // 
+      this.label14.AutoSize = true;
+      this.label14.Location = new System.Drawing.Point(4, 53);
+      this.label14.Name = "label14";
+      this.label14.Size = new System.Drawing.Size(51, 13);
+      this.label14.TabIndex = 2;
+      this.label14.Text = "Minimum:";
+      // 
+      // yAxisSecondaryMaximumPanel
+      // 
+      this.yAxisSecondaryMaximumPanel.Controls.Add(this.yAxisSecondaryMaximumFixedTextBox);
+      this.yAxisSecondaryMaximumPanel.Controls.Add(this.yAxisSecondaryMaximumFixedRadioButton);
+      this.yAxisSecondaryMaximumPanel.Controls.Add(this.yAxisSecondaryMaximumAutoRadioButton);
+      this.yAxisSecondaryMaximumPanel.Location = new System.Drawing.Point(63, 71);
+      this.yAxisSecondaryMaximumPanel.Name = "yAxisSecondaryMaximumPanel";
+      this.yAxisSecondaryMaximumPanel.Size = new System.Drawing.Size(245, 25);
+      this.yAxisSecondaryMaximumPanel.TabIndex = 5;
+      // 
+      // yAxisSecondaryMaximumFixedTextBox
+      // 
+      this.yAxisSecondaryMaximumFixedTextBox.Location = new System.Drawing.Point(126, 2);
+      this.yAxisSecondaryMaximumFixedTextBox.Name = "yAxisSecondaryMaximumFixedTextBox";
+      this.yAxisSecondaryMaximumFixedTextBox.Size = new System.Drawing.Size(117, 20);
+      this.yAxisSecondaryMaximumFixedTextBox.TabIndex = 2;
+      this.yAxisSecondaryMaximumFixedTextBox.Validating += new System.ComponentModel.CancelEventHandler(this.yAxisSecondaryMaximumFixedTextBox_Validating);
+      // 
+      // yAxisSecondaryMaximumFixedRadioButton
+      // 
+      this.yAxisSecondaryMaximumFixedRadioButton.AutoSize = true;
+      this.yAxisSecondaryMaximumFixedRadioButton.Location = new System.Drawing.Point(70, 4);
+      this.yAxisSecondaryMaximumFixedRadioButton.Name = "yAxisSecondaryMaximumFixedRadioButton";
+      this.yAxisSecondaryMaximumFixedRadioButton.Size = new System.Drawing.Size(50, 17);
+      this.yAxisSecondaryMaximumFixedRadioButton.TabIndex = 1;
+      this.yAxisSecondaryMaximumFixedRadioButton.TabStop = true;
+      this.yAxisSecondaryMaximumFixedRadioButton.Text = "Fixed";
+      this.yAxisSecondaryMaximumFixedRadioButton.UseVisualStyleBackColor = true;
+      this.yAxisSecondaryMaximumFixedRadioButton.CheckedChanged += new System.EventHandler(this.yAxisSecondaryMaximumRadioButton_CheckedChanged);
+      // 
+      // yAxisSecondaryMaximumAutoRadioButton
+      // 
+      this.yAxisSecondaryMaximumAutoRadioButton.AutoSize = true;
+      this.yAxisSecondaryMaximumAutoRadioButton.Location = new System.Drawing.Point(4, 4);
+      this.yAxisSecondaryMaximumAutoRadioButton.Name = "yAxisSecondaryMaximumAutoRadioButton";
+      this.yAxisSecondaryMaximumAutoRadioButton.Size = new System.Drawing.Size(47, 17);
+      this.yAxisSecondaryMaximumAutoRadioButton.TabIndex = 0;
+      this.yAxisSecondaryMaximumAutoRadioButton.TabStop = true;
+      this.yAxisSecondaryMaximumAutoRadioButton.Text = "Auto";
+      this.yAxisSecondaryMaximumAutoRadioButton.UseVisualStyleBackColor = true;
+      this.yAxisSecondaryMaximumAutoRadioButton.CheckedChanged += new System.EventHandler(this.yAxisSecondaryMaximumRadioButton_CheckedChanged);
+      // 
+      // yAxisSecondaryMinimumPanel
+      // 
+      this.yAxisSecondaryMinimumPanel.Controls.Add(this.yAxisSecondaryMinimumFixedTextBox);
+      this.yAxisSecondaryMinimumPanel.Controls.Add(this.yAxisSecondaryMinimumFixedRadioButton);
+      this.yAxisSecondaryMinimumPanel.Controls.Add(this.yAxisSecondaryMinimumAutoRadioButton);
+      this.yAxisSecondaryMinimumPanel.Location = new System.Drawing.Point(63, 47);
+      this.yAxisSecondaryMinimumPanel.Name = "yAxisSecondaryMinimumPanel";
+      this.yAxisSecondaryMinimumPanel.Size = new System.Drawing.Size(245, 25);
+      this.yAxisSecondaryMinimumPanel.TabIndex = 3;
+      // 
+      // yAxisSecondaryMinimumFixedTextBox
+      // 
+      this.yAxisSecondaryMinimumFixedTextBox.Location = new System.Drawing.Point(126, 2);
+      this.yAxisSecondaryMinimumFixedTextBox.Name = "yAxisSecondaryMinimumFixedTextBox";
+      this.yAxisSecondaryMinimumFixedTextBox.Size = new System.Drawing.Size(117, 20);
+      this.yAxisSecondaryMinimumFixedTextBox.TabIndex = 2;
+      this.yAxisSecondaryMinimumFixedTextBox.Validating += new System.ComponentModel.CancelEventHandler(this.yAxisSecondaryMinimumFixedTextBox_Validating);
+      // 
+      // yAxisSecondaryMinimumFixedRadioButton
+      // 
+      this.yAxisSecondaryMinimumFixedRadioButton.AutoSize = true;
+      this.yAxisSecondaryMinimumFixedRadioButton.Location = new System.Drawing.Point(70, 3);
+      this.yAxisSecondaryMinimumFixedRadioButton.Name = "yAxisSecondaryMinimumFixedRadioButton";
+      this.yAxisSecondaryMinimumFixedRadioButton.Size = new System.Drawing.Size(50, 17);
+      this.yAxisSecondaryMinimumFixedRadioButton.TabIndex = 1;
+      this.yAxisSecondaryMinimumFixedRadioButton.TabStop = true;
+      this.yAxisSecondaryMinimumFixedRadioButton.Text = "Fixed";
+      this.yAxisSecondaryMinimumFixedRadioButton.UseVisualStyleBackColor = true;
+      this.yAxisSecondaryMinimumFixedRadioButton.CheckedChanged += new System.EventHandler(this.yAxisSecondaryMinimumRadioButton_CheckedChanged);
+      // 
+      // yAxisSecondaryMinimumAutoRadioButton
+      // 
+      this.yAxisSecondaryMinimumAutoRadioButton.AutoSize = true;
+      this.yAxisSecondaryMinimumAutoRadioButton.Location = new System.Drawing.Point(4, 3);
+      this.yAxisSecondaryMinimumAutoRadioButton.Name = "yAxisSecondaryMinimumAutoRadioButton";
+      this.yAxisSecondaryMinimumAutoRadioButton.Size = new System.Drawing.Size(47, 17);
+      this.yAxisSecondaryMinimumAutoRadioButton.TabIndex = 0;
+      this.yAxisSecondaryMinimumAutoRadioButton.TabStop = true;
+      this.yAxisSecondaryMinimumAutoRadioButton.Text = "Auto";
+      this.yAxisSecondaryMinimumAutoRadioButton.UseVisualStyleBackColor = true;
+      this.yAxisSecondaryMinimumAutoRadioButton.CheckedChanged += new System.EventHandler(this.yAxisSecondaryMinimumRadioButton_CheckedChanged);
+      // 
+      // yAxisPrimaryGroupBox
+      // 
+      this.yAxisPrimaryGroupBox.Controls.Add(this.label7);
+      this.yAxisPrimaryGroupBox.Controls.Add(this.yAxisPrimaryTitleTextBox);
+      this.yAxisPrimaryGroupBox.Controls.Add(this.label8);
+      this.yAxisPrimaryGroupBox.Controls.Add(this.label1);
+      this.yAxisPrimaryGroupBox.Controls.Add(this.yAxisPrimaryMaximumPanel);
+      this.yAxisPrimaryGroupBox.Controls.Add(this.yAxisPrimaryMinimumPanel);
+      this.yAxisPrimaryGroupBox.Location = new System.Drawing.Point(6, 6);
+      this.yAxisPrimaryGroupBox.Name = "yAxisPrimaryGroupBox";
+      this.yAxisPrimaryGroupBox.Size = new System.Drawing.Size(316, 107);
+      this.yAxisPrimaryGroupBox.TabIndex = 0;
+      this.yAxisPrimaryGroupBox.TabStop = false;
+      this.yAxisPrimaryGroupBox.Text = "Primary Axis";
+      // 
+      // label7
+      // 
+      this.label7.AutoSize = true;
+      this.label7.Location = new System.Drawing.Point(4, 77);
+      this.label7.Name = "label7";
+      this.label7.Size = new System.Drawing.Size(54, 13);
+      this.label7.TabIndex = 4;
+      this.label7.Text = "Maximum:";
+      // 
+      // label8
+      // 
+      this.label8.AutoSize = true;
+      this.label8.Location = new System.Drawing.Point(4, 53);
+      this.label8.Name = "label8";
+      this.label8.Size = new System.Drawing.Size(51, 13);
+      this.label8.TabIndex = 2;
+      this.label8.Text = "Minimum:";
+      // 
+      // yAxisPrimaryMaximumPanel
+      // 
+      this.yAxisPrimaryMaximumPanel.Controls.Add(this.yAxisPrimaryMaximumFixedTextBox);
+      this.yAxisPrimaryMaximumPanel.Controls.Add(this.yAxisPrimaryMaximumFixedRadioButton);
+      this.yAxisPrimaryMaximumPanel.Controls.Add(this.yAxisPrimaryMaximumAutoRadioButton);
+      this.yAxisPrimaryMaximumPanel.Location = new System.Drawing.Point(63, 71);
+      this.yAxisPrimaryMaximumPanel.Name = "yAxisPrimaryMaximumPanel";
+      this.yAxisPrimaryMaximumPanel.Size = new System.Drawing.Size(245, 25);
+      this.yAxisPrimaryMaximumPanel.TabIndex = 5;
+      // 
+      // yAxisPrimaryMaximumFixedTextBox
+      // 
+      this.yAxisPrimaryMaximumFixedTextBox.Location = new System.Drawing.Point(126, 2);
+      this.yAxisPrimaryMaximumFixedTextBox.Name = "yAxisPrimaryMaximumFixedTextBox";
+      this.yAxisPrimaryMaximumFixedTextBox.Size = new System.Drawing.Size(117, 20);
+      this.yAxisPrimaryMaximumFixedTextBox.TabIndex = 2;
+      this.yAxisPrimaryMaximumFixedTextBox.Validating += new System.ComponentModel.CancelEventHandler(this.yAxisPrimaryMaximumFixedTextBox_Validating);
+      // 
+      // yAxisPrimaryMaximumFixedRadioButton
+      // 
+      this.yAxisPrimaryMaximumFixedRadioButton.AutoSize = true;
+      this.yAxisPrimaryMaximumFixedRadioButton.Location = new System.Drawing.Point(70, 4);
+      this.yAxisPrimaryMaximumFixedRadioButton.Name = "yAxisPrimaryMaximumFixedRadioButton";
+      this.yAxisPrimaryMaximumFixedRadioButton.Size = new System.Drawing.Size(50, 17);
+      this.yAxisPrimaryMaximumFixedRadioButton.TabIndex = 1;
+      this.yAxisPrimaryMaximumFixedRadioButton.TabStop = true;
+      this.yAxisPrimaryMaximumFixedRadioButton.Text = "Fixed";
+      this.yAxisPrimaryMaximumFixedRadioButton.UseVisualStyleBackColor = true;
+      this.yAxisPrimaryMaximumFixedRadioButton.CheckedChanged += new System.EventHandler(this.yAxisPrimaryMaximumRadioButton_CheckedChanged);
+      // 
+      // yAxisPrimaryMaximumAutoRadioButton
+      // 
+      this.yAxisPrimaryMaximumAutoRadioButton.AutoSize = true;
+      this.yAxisPrimaryMaximumAutoRadioButton.Location = new System.Drawing.Point(4, 4);
+      this.yAxisPrimaryMaximumAutoRadioButton.Name = "yAxisPrimaryMaximumAutoRadioButton";
+      this.yAxisPrimaryMaximumAutoRadioButton.Size = new System.Drawing.Size(47, 17);
+      this.yAxisPrimaryMaximumAutoRadioButton.TabIndex = 0;
+      this.yAxisPrimaryMaximumAutoRadioButton.TabStop = true;
+      this.yAxisPrimaryMaximumAutoRadioButton.Text = "Auto";
+      this.yAxisPrimaryMaximumAutoRadioButton.UseVisualStyleBackColor = true;
+      this.yAxisPrimaryMaximumAutoRadioButton.CheckedChanged += new System.EventHandler(this.yAxisPrimaryMaximumRadioButton_CheckedChanged);
+      // 
+      // yAxisPrimaryMinimumPanel
+      // 
+      this.yAxisPrimaryMinimumPanel.Controls.Add(this.yAxisPrimaryMinimumFixedTextBox);
+      this.yAxisPrimaryMinimumPanel.Controls.Add(this.yAxisPrimaryMinimumFixedRadioButton);
+      this.yAxisPrimaryMinimumPanel.Controls.Add(this.yAxisPrimaryMinimumAutoRadioButton);
+      this.yAxisPrimaryMinimumPanel.Location = new System.Drawing.Point(63, 47);
+      this.yAxisPrimaryMinimumPanel.Name = "yAxisPrimaryMinimumPanel";
+      this.yAxisPrimaryMinimumPanel.Size = new System.Drawing.Size(245, 25);
+      this.yAxisPrimaryMinimumPanel.TabIndex = 3;
+      // 
+      // yAxisPrimaryMinimumFixedTextBox
+      // 
+      this.yAxisPrimaryMinimumFixedTextBox.Location = new System.Drawing.Point(126, 2);
+      this.yAxisPrimaryMinimumFixedTextBox.Name = "yAxisPrimaryMinimumFixedTextBox";
+      this.yAxisPrimaryMinimumFixedTextBox.Size = new System.Drawing.Size(117, 20);
+      this.yAxisPrimaryMinimumFixedTextBox.TabIndex = 2;
+      this.yAxisPrimaryMinimumFixedTextBox.Validating += new System.ComponentModel.CancelEventHandler(this.yAxisPrimaryMinimumFixedTextBox_Validating);
+      // 
+      // yAxisPrimaryMinimumFixedRadioButton
+      // 
+      this.yAxisPrimaryMinimumFixedRadioButton.AutoSize = true;
+      this.yAxisPrimaryMinimumFixedRadioButton.Location = new System.Drawing.Point(70, 3);
+      this.yAxisPrimaryMinimumFixedRadioButton.Name = "yAxisPrimaryMinimumFixedRadioButton";
+      this.yAxisPrimaryMinimumFixedRadioButton.Size = new System.Drawing.Size(50, 17);
+      this.yAxisPrimaryMinimumFixedRadioButton.TabIndex = 1;
+      this.yAxisPrimaryMinimumFixedRadioButton.TabStop = true;
+      this.yAxisPrimaryMinimumFixedRadioButton.Text = "Fixed";
+      this.yAxisPrimaryMinimumFixedRadioButton.UseVisualStyleBackColor = true;
+      this.yAxisPrimaryMinimumFixedRadioButton.CheckedChanged += new System.EventHandler(this.yAxisPrimaryMinimumRadioButton_CheckedChanged);
+      // 
+      // yAxisPrimaryMinimumAutoRadioButton
+      // 
+      this.yAxisPrimaryMinimumAutoRadioButton.AutoSize = true;
+      this.yAxisPrimaryMinimumAutoRadioButton.Location = new System.Drawing.Point(4, 3);
+      this.yAxisPrimaryMinimumAutoRadioButton.Name = "yAxisPrimaryMinimumAutoRadioButton";
+      this.yAxisPrimaryMinimumAutoRadioButton.Size = new System.Drawing.Size(47, 17);
+      this.yAxisPrimaryMinimumAutoRadioButton.TabIndex = 0;
+      this.yAxisPrimaryMinimumAutoRadioButton.TabStop = true;
+      this.yAxisPrimaryMinimumAutoRadioButton.Text = "Auto";
+      this.yAxisPrimaryMinimumAutoRadioButton.UseVisualStyleBackColor = true;
+      this.yAxisPrimaryMinimumAutoRadioButton.CheckedChanged += new System.EventHandler(this.yAxisPrimaryMinimumRadioButton_CheckedChanged);
+      // 
+      // errorProvider
+      // 
+      this.errorProvider.ContainerControl = this;
       // 
       // DataTableVisualPropertiesControl
